Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.go.display.style
Interface GraphicStyle

All Superinterfaces:
  Cloneable

All Known Subinterfaces:
  LineSymbolizer, PointSymbolizer, PolygonSymbolizer, TextSymbolizer

    public interface GraphicStyle

extends Cloneable

Serves as the base interface for the collection of drawing attributes that are applied to a `Graphic`. Subclasses provide attributes for specifying SLD-based line symbolizer, polygon symbolizer, point symbolizer, text symbolizer. Attributes common to all types of geometry, related to viewability, editability, and highlighting, are contained in `Graphic`.

Method Summary
`void` | `addGraphicStyleListener(GraphicStyleListener listener)` Registers the given object as a listener to receive events when the properties of this style have changed.
`Object` | `clone()` Method inherited from the `Cloneable` interface, included here for public access.
`Object` | `getImplHint(String hintName)` Returns the given implementation-specific hint for the given name.
`void` | `removeGraphicStyleListener(GraphicStyleListener listener)` For a listener that was previously added using the `addGraphicStyleListener` method, this method de-registers it so that it will no longer receive events when the properties of this style have changed.
`void` | `setImplHint(String hintname, Object hint)` Sets the given implementation-specific hint for the given name.
`void` | `setPropertiesFrom(GraphicStyle style)` Sets the properties of this `GraphicStyle` from the properties of the specified `GraphicStyle`.

Method Detail

### addGraphicStyleListener

    void addGraphicStyleListener(GraphicStyleListener listener)

  Registers the given object as a listener to receive events when the properties of this style have changed.

### removeGraphicStyleListener

    void removeGraphicStyleListener(GraphicStyleListener listener)

  For a listener that was previously added using the `addGraphicStyleListener` method, this method de-registers it so that it will no longer receive events when the properties of this style have changed.

### getImplHint

    Object getImplHint(String hintName)

  Returns the given implementation-specific hint for the given name.

  Parameters:
    `hintName` - The hint key.
  Returns:
    the hint object associated with the hint name.

### setImplHint

    void setImplHint(String hintname,
                     Object hint)

  Sets the given implementation-specific hint for the given name.

  Parameters:
    `hintname` - The hint key.
    `hint` - The hint.

### setPropertiesFrom

    void setPropertiesFrom(GraphicStyle style)

  Sets the properties of this `GraphicStyle` from the properties of the specified `GraphicStyle`. May throw an exception if the given object is not the same type as this one.

  Parameters:
    `style` - the `GraphicStyle` used to set this `GraphicStyle` properties.

### clone

    Object clone()

  Method inherited from the `Cloneable` interface, included here for public access.

  Returns:
    Returns a shallow copy of this object. This means that all of the subordinate objects referenced by this object will also be referenced by the result. These objects include the values for `implHint`s, etc.
  See Also:
    `Object.clone()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.